Imports DevExpress.Utils
Imports DevExpress.Utils.Svg

Public Class frmEditSearch
    Public ReadOnly Property Images As SvgImageCollection
        Get
            Return SvgImageCollection1
        End Get
    End Property

    Public Property IsNew As Boolean = False

    Public Property Title As String = ""
    Public Property Description As String = ""
    Public Property ImageString As String = ""
    Public Property Image As SvgImage = Nothing

    Private Sub frmEditSearch_Load(sender As Object, e As EventArgs) Handles Me.Load
        If IsNew Then
            Text = "Neue Suche"
        Else
            Text = "Suche bearbeiten"
        End If

        For Each oImage As SvgImageInfo In Images.ImageInfos
            Dim oItem = New DevExpress.XtraEditors.Controls.ImageComboBoxItem(oImage.Name, oImage.Bitmap)
            ImageComboBoxEdit1.Properties.Items.Add(oItem)
        Next
    End Sub

    Private Sub TextEdit1_EditValueChanged(sender As Object, e As EventArgs) Handles TextEdit1.EditValueChanged
        Title = TextEdit1.EditValue
    End Sub

    Private Sub TextEdit2_EditValueChanged(sender As Object, e As EventArgs) Handles TextEdit2.EditValueChanged
        Description = TextEdit2.EditValue
    End Sub

    Private Sub ImageComboBoxEdit1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ImageComboBoxEdit1.SelectedIndexChanged
        ImageString = ImageComboBoxEdit1.Text
        'Image = ImageComboBoxEdit1.EditValue
    End Sub

    Private Sub BarButtonItem1_ItemClick(sender As Object, e As DevExpress.XtraBars.ItemClickEventArgs) Handles BarButtonItem1.ItemClick
        DialogResult = DialogResult.OK
        Close()
    End Sub
End Class